VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2055
   ClientLeft      =   1410
   ClientTop       =   2895
   ClientWidth     =   1980
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2055
   ScaleWidth      =   1980
   Begin VB.CommandButton CmdPrint 
      Caption         =   "Print"
      Height          =   495
      Left            =   360
      TabIndex        =   1
      Top             =   1080
      Width           =   1215
   End
   Begin VB.CommandButton CmdPreview 
      Caption         =   "Preview"
      Height          =   495
      Left            =   360
      TabIndex        =   0
      Top             =   360
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Send the "printout" to the object. The object is
' either a PictureBox for preview, or the Printer.
Private Sub DrawPrintout(obj As Object)
Const INCH = 1440 ' 1440 twips per inch
Const TXT = "Here is some sample output."

    ' Make sure the object uses the right font.
    obj.Font.Bold = False
    obj.Font.Italic = False
    obj.Font.Name = "Arial"
    obj.Font.StrikeThrough = False
    obj.Font.Underline = False
    obj.Font.Size = 8

    obj.CurrentX = INCH / 2
    obj.CurrentY = INCH / 2
    obj.Print TXT
    obj.Line (INCH / 4, INCH / 4)-Step(2880, 1440), , B

    obj.CurrentX = Printer.ScaleLeft + Printer.ScaleWidth / 2
    obj.CurrentY = Printer.ScaleTop
    obj.Line -(Printer.ScaleLeft + Printer.ScaleWidth, Printer.ScaleTop + Printer.ScaleHeight / 2)
    obj.Line -(Printer.ScaleLeft + Printer.ScaleWidth / 2, Printer.ScaleTop + Printer.ScaleHeight)
    obj.Line -(Printer.ScaleLeft, Printer.ScaleTop + Printer.ScaleHeight / 2)
    obj.Line -(Printer.ScaleLeft + Printer.ScaleWidth / 2, Printer.ScaleTop)
End Sub
' Display a preview.
Private Sub CmdPreview_Click()
    ' Make the preview PictureBox half the size
    ' of the Printer.
    PreviewForm.PreviewPicture.Width = _
        Printer.Width / 2 + _
        PreviewForm.PreviewPicture.Width - _
        PreviewForm.PreviewPicture.ScaleWidth
    PreviewForm.PreviewPicture.Height = _
        Printer.Height / 2 + _
        PreviewForm.PreviewPicture.Height - _
        PreviewForm.PreviewPicture.ScaleHeight

    ' Size the preview form to fit.
    PreviewForm.Height = _
        PreviewForm.PreviewPicture.Height + _
        PreviewForm.Height - PreviewForm.ScaleHeight
    PreviewForm.Width = _
        PreviewForm.PreviewPicture.Width + _
        PreviewForm.Width - PreviewForm.ScaleWidth

    ' Make the preview PictureBox use the same
    ' scaling as the Printer.
    PreviewForm.PreviewPicture.ScaleLeft = Printer.ScaleLeft
    PreviewForm.PreviewPicture.ScaleTop = Printer.ScaleTop
    PreviewForm.PreviewPicture.ScaleWidth = Printer.ScaleWidth
    PreviewForm.PreviewPicture.ScaleHeight = Printer.ScaleHeight

    ' Clear the preview PictureBox.
    PreviewForm.PreviewPicture.Cls

    ' Draw the "printout" on a PictureBox.
    DrawPrintout PreviewForm.PreviewPicture

    ' Display the PictureBox.
    PreviewForm.Show vbModal
End Sub

' Create a printout.
Private Sub CmdPrint_Click()
    ' Draw the "printout" on the Printer object.
    DrawPrintout Printer
    
    ' Finish the printout.
    Printer.EndDoc
End Sub

